### Method

# Clutter Text get_cursor_rect

#### Declaration [src]

    void
    clutter_text_get_cursor_rect (
      ClutterText* self,
      graphene_rect_t* rect
    )

#### Description [src]

Retrieves the rectangle that contains the cursor.

The coordinates of the rectangle’s origin are in actor-relative coordinates.

#### Parameters

`rect`

  Type: `graphene_rect_t`

  Return location of a `ClutterRect`.

  The argument will be set by the function.
  The returned data is owned by the instance.